<?php
/**
 * Image tagging wrapper class for jQuery jTag
 * 
 * @link http://djpate.com/2011/01/14/jtag-a-jquery-plugin-to-tag-pictures-more/
 * @author Anggiajuang Patria <anggiaj@gmail.com>
 * @version 0.0.2 (2012-03-14 16:10)
 */ 
class EImageTag extends CWidget
{
  /**
   * @var string Image source
   */
  public $src;
  /**
   * @var string Image alternate description
   */
  public $alt;
  /**
   * @var array jTag options
   */
  public $options=array();
  /**
   * @var array Image options
   */
  public $htmlOptions=array();
  /**
   * @var int Script Position
   * @since 0.0.2
   */
  public $scriptPosition=CClientScript::POS_END;
  /**
   * @see CComponent
   */
  public function init()
  {
    if(isset($this->htmlOptions['alt']))
    {
      $this->alt=$this->htmlOptions['alt'];
      unset($this->htmlOptions['alt']);
    }
    $this->htmlOptions['id']=$this->getId();
  }
  /**
   * @see CWidget
   */
  public function run()
  {
    $assets=dirname(__FILE__).DIRECTORY_SEPARATOR.'assets';
    $baseUrl=Yii::app()->assetManager->publish($assets);
    
    echo CHtml::image($this->src,$this->alt,$this->htmlOptions);
    
    Yii::app()->clientScript->registerCoreScript('jquery');
    Yii::app()->clientScript->registerCoreScript('jquery.ui');
    Yii::app()->clientScript->registerScriptFile($baseUrl.'/js/jquery.tag.js',$this->scriptPosition);
    Yii::app()->clientScript->registerCssFile($baseUrl.'/css/jquery-ui.custom.css');
    Yii::app()->clientScript->registerCssFile($baseUrl.'/css/jquery.tag.css');
    if(count($this->options)>0) $options=CJavaScript::encode($this->options);
    else $options='';
    $id=$this->htmlOptions['id'];
    Yii::app()->clientScript->registerScript(__CLASS__.'#'.$id,"$('#{$id}').tag({$options});");
  }  
}