<?php

/**
 * This is the model class for table "image_tag".
 *
 * The followings are the available columns in table 'image_tag':
 * @property integer $id
 * @property string $label
 * @property integer $width
 * @property integer $height
 * @property integer $top_pos
 * @property integer $left_pos
 */
class ImageTag extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return ImageTag the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}
	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'image_tag';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		return array(
			array('label, width, height, top_pos, left_pos', 'required'),
			array('width, height, top_pos, left_pos', 'numerical', 'integerOnly'=>true),
			array('label', 'length', 'max'=>255),
			array('id, label, width, height, top_pos, left_pos', 'safe', 'on'=>'search'),
		);
	}
	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		return array(
		);
	}
	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id'=>Yii::t('app','Id'),
			'label'=>Yii::t('app','Label'),
			'width'=>Yii::t('app','Width'),
			'height'=>Yii::t('app','Height'),
			'top_pos'=>Yii::t('app','Top Pos'),
			'left_pos'=>Yii::t('app','Left Pos'),
		);
	}
	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
    $criteria=new CDbCriteria;
		$criteria->compare('id',$this->id);
		$criteria->compare('label',$this->label,true);
		$criteria->compare('width',$this->width);
		$criteria->compare('height',$this->height);
		$criteria->compare('top_pos',$this->top_pos);
		$criteria->compare('left_pos',$this->left_pos);
		return new CActiveDataProvider('ImageTag', array(
			'criteria'=>$criteria,
		));
	}
}